Check for available updates
curl --request GET \
--url https://api.parse.bot/dispatch/tasks/{task_id}/updates \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parse.bot/dispatch/tasks/{task_id}/updates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parse.bot/dispatch/tasks/{task_id}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updates": [
{
"endpoint_name": "<string>",
"description": "<string>",
"method": "<string>",
"user_has_called": true
}
],
"canonical_scraper_id": "<string>"
}Dispatch
Check for available updates
Compare your API against the canonical version to find new or updated endpoints. Returns a list of changes you can preview and merge.
GET
/
dispatch
/
tasks
/
{task_id}
/
updates
Check for available updates
Authorizations
API key for programmatic access. Create one in the Parse dashboard at https://parse.bot (Settings → API Keys). Keys start with 'pmx_'.
Path Parameters
Was this page helpful?
⌘I